# Group Member Import

This module enables you to import new members to existing groups. Install this module as any other drupal module.

## Dependency

To use this module you need to install and enable the following module

https://github.com/globenewmedialtd/group_buttons_block

## How this module works

The Group Member Import Module lets you import all available account fields. It also detects if you are making use of profiles, and is able to import those fields as well. There is no UI to map your fields, you can just use the entity type and field name needed as header columns in your csv file.

### Example of valid header columns

```
user.field_organisation
user.mail
user.status
user.langcode
user.timezone
profile.field_first_name
profile.field_last_name
```

Example: 

### Allowed account base fields

- user.name
- user.pass
- user.mail
- user.timezone
- user.langcode

In case of a missing username the username will be generated by the given email "user.mail". To avoid duplicates It will make sure that the username will be substituted with numbers. If you do not have a langcode or valid timezone in your file, this module will use the site default for both, the timezone and langcode.

### Supported field types

- any text fields
- entity_reference
- datetime
- timestamp
- language
- list_string
- authored_by
- email
- boolean














