<?php

namespace Drupal\social_lms_integrator;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Link;

/**
 * Defines a class to build a listing of Language version entities.
 *
 * @ingroup social_lms_integrator
 */
class LanguageVersionListBuilder extends EntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('Language version ID');
    $header['name'] = $this->t('Name');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /* @var \Drupal\social_lms_integrator\Entity\LanguageVersion $entity */
    $row['id'] = $entity->id();
    $row['name'] = Link::createFromRoute(
      $entity->label(),
      'entity.language_version.edit_form',
      ['language_version' => $entity->id()]
    );
    return $row + parent::buildRow($entity);
  }

}
